Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Alexis Ballier (aballier)" <aballier@g.o>
Subject: gentoo-x86 commit in app-misc/ledit: ChangeLog ledit-1.15.ebuild
Date: Wed, 02 Jan 2008 19:31:42 +0000
aballier    08/01/02 19:31:42

  Modified:             ChangeLog ledit-1.15.ebuild
  Log:
  Add support for disabling ocamlopt
  (Portage version: 2.1.4_rc14)

Revision  Changes    Path
1.16                 app-misc/ledit/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/ledit/ChangeLog?rev=1.16&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/ledit/ChangeLog?rev=1.16&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/ledit/ChangeLog?r1=1.15&r2=1.16

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/ledit/ChangeLog,v
retrieving revision 1.15
retrieving revision 1.16
diff -u -r1.15 -r1.16
--- ChangeLog	20 Nov 2007 13:24:01 -0000	1.15
+++ ChangeLog	2 Jan 2008 19:31:41 -0000	1.16
@@ -1,6 +1,9 @@
 # ChangeLog for app-misc/ledit
-# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/ledit/ChangeLog,v 1.15 2007/11/20 13:24:01 aballier Exp $
+# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/ledit/ChangeLog,v 1.16 2008/01/02 19:31:41 aballier Exp $
+
+  02 Jan 2008; Alexis Ballier <aballier@g.o> ledit-1.15.ebuild:
+  Add support for disabling ocamlopt
 
   20 Nov 2007; Alexis Ballier <aballier@g.o> ledit-1.15.ebuild:
   take ocaml deps down to 3.09, works fine if camlp5 is installed



1.4                  app-misc/ledit/ledit-1.15.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/ledit/ledit-1.15.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/ledit/ledit-1.15.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/ledit/ledit-1.15.ebuild?r1=1.3&r2=1.4

Index: ledit-1.15.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/ledit/ledit-1.15.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- ledit-1.15.ebuild	20 Nov 2007 13:24:01 -0000	1.3
+++ ledit-1.15.ebuild	2 Jan 2008 19:31:41 -0000	1.4
@@ -1,10 +1,12 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/ledit/ledit-1.15.ebuild,v 1.3 2007/11/20 13:24:01 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/ledit/ledit-1.15.ebuild,v 1.4 2008/01/02 19:31:41 aballier Exp $
 
 inherit eutils
 
-IUSE=""
+EAPI="1"
+
+IUSE="+ocamlopt"
 
 DESCRIPTION="A line editor to be used with interactive commands."
 SRC_URI="http://pauillac.inria.fr/~ddr/ledit/${P}.tgz"
@@ -17,15 +19,34 @@
 LICENSE="BSD"
 KEYWORDS="~amd64 ~ppc ~x86"
 
+pkg_setup() {
+	if use ocamlopt && ! built_with_use --missing true dev-lang/ocaml ocamlopt; then
+		eerror "In order to build ${PN} with native code support from ocaml"
+		eerror "You first need to have a native code ocaml compiler."
+		eerror "You need to install dev-lang/ocaml with ocamlopt useflag on."
+		die "Please install ocaml with ocamlopt useflag"
+	fi
+}
+
 src_compile()
 {
 	emake -j1 all || die "make failed"
-	emake -j1 ledit.opt || die "make failed"
+	if use ocamlopt; then
+		emake -j1 ledit.opt || die "make failed"
+	else
+		# If using bytecode we dont want to strip the binary as it would remove the
+		# bytecode and only leave ocamlrun...
+		export STRIP_MASK="*/bin/*"
+	fi
 }
 
 src_install()
 {
-	newbin ledit.opt ledit
+	if use ocamlopt; then
+		newbin ledit.opt ledit
+	else
+		newbin ledit.out ledit
+	fi
 	doman ledit.1
 	dodoc CHANGES README
 }



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-misc/ledit: ChangeLog ledit-1.15.ebuild
Next by thread:
gentoo-x86 commit in app-shells/pdsh: ChangeLog pdsh-2.14.ebuild
Previous by date:
gentoo-x86 commit in profiles: use.local.desc
Next by date:
gentoo-x86 commit in dev-ruby/glue: ChangeLog glue-0.41.0.ebuild


Updated Dec 24, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.